package com.jkcredit.invoice.service.lowerservice.vo;

import cn.com.taiji.sdk.model.comm.protocol.tts.trade.service.TradeApplyQueryResponse;

import java.util.List;

/**
 * 自有车交易申请查询对象
 * @author mumuxigua
 */
public class TradeApplyQueryInvVo {


    /**
     * 公司编号
     */
    private String companyNum;

    /**
     * 卡号
     */
    private String cardId;

    /**
     * 交易id
     */
    private String tradeId;


    private String info;

    private String receiveTime;

    private List<TradeApplyQueryResponse> result;

    public String getInfo() {
        return info;
    }

    public void setInfo(String info) {
        this.info = info;
    }

    public String getReceiveTime() {
        return receiveTime;
    }

    public void setReceiveTime(String receiveTime) {
        this.receiveTime = receiveTime;
    }

    public List<TradeApplyQueryResponse> getResult() {
        return result;
    }

    public void setResult(List<TradeApplyQueryResponse> result) {
        this.result = result;
    }

    public String getCompanyNum() {
        return companyNum;
    }

    public void setCompanyNum(String companyNum) {
        this.companyNum = companyNum;
    }

    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public String getTradeId() {
        return tradeId;
    }

    public void setTradeId(String tradeId) {
        this.tradeId = tradeId;
    }

    @Override
    public String toString() {
        return "TradeApplyQueryInvVo{" +
                "companyNum='" + companyNum + '\'' +
                ", cardId='" + cardId + '\'' +
                ", tradeId='" + tradeId + '\'' +
                ", info='" + info + '\'' +
                ", receiveTime='" + receiveTime + '\'' +
                ", result=" + result +
                '}';
    }
}
